# Namespace namespace

A namespace.

This is a namespace. It is spread across two files.

## Enums

enum Enum { }
  An enum.

## Typedefs

using FooBar = int
  A typedef.

## Functions

void function1()
  A function.
void function2()
  Another function.
void function3()
  Yet another function.
void function4()
  And even more functions.
void anotherFunction()
  Lets define yet another function.
void moreFunction()
  And another function here.

## Variables

FooBar FizzBuzz constexpr
  A variable.